.text
.thumb
.align 2
.global churn_seed
.thumb_func
.type churn_seed,%function

@void churn_seed(seed_t * seed)
@ $2383 

@ r0 = seed address
churn_seed:
  push    {r4-r7}
  ldrb   r1, [r0,#0]
  ldrb   r2, [r0,#1]
  ldrh   r3, [r0,#2]     @ r1, r3 = s0, s2
  strh   r3, [r0, #0]    @ s0, s1 = s2, s3
  lsl    r1, r1, #24
  lsl    r3, r3, #24
  ldrb   r4, [r0,#3]     @ r2, r4 = s1, s3
  add    r7, r1, r3      @ r7 = s0 + s2
  adc    r2, r2, r4      @ r2 = s1 + s3 + carry
  lsl    r2, r2, #24    
  lsr    r1, r2, #24     @ r1 = s1 + s3 + carry  (8-bit)
  ldrh   r5, [r0,#4]
  ldrb   r6, [r0,#5]
  strh   r5, [r0, #2]    @ s2, s3 = s4, s5
  lsl    r5, r5, #24
  add    r7, r7, r5      @ r7 += s4
  adc    r1, r1, r6      @ r1 += s5 + carry
  lsr    r7, r7, #24
  strb   r7, [r0, #4]
  strb   r1, [r0, #5]    @ s4, s5 = r7, r1
  lsr    r1, r1, #8
  ldr    r2, =g_carry
  str    r1, [r2]        @ g_carry = carry from r1 additions
  pop   {r4-r7}
  bx    lr

.pool

.end

