
#ifndef chart_h_seen
#define chart_h_seen

#include "navigation.h"

#define SHORT_CHART 0x80
#define   GAL_CHART 0x40

#define SHORT_CENTRE_X 0x68
#define SHORT_CENTRE_Y 0x56
#define GAL_OFFSET_Y  0x14

extern const seed_t gal_seed;
extern galcoord_t cpl_coord;
extern galcoord_t hyp_coord;
extern int g_chart_type ;

// current planet
extern seed_t cpl_seed;
// hyperspace  planet
extern seed_t hyp_seed;

void short_scrn(void);
void long_scrn(void);
void chart_pixel(int x, int y, int z);
void update_cursor(void);
void snap_to_planet(void);
#endif
