#ifndef missions_h_seen
#define missions_h_seen

// 0358:   7 6 5 4 3 2 1 0
//               | | | | +--  set when mission 1 starts (cougar)
//               | | | +----  set when we destroy cougar 
//               | | +------  set when mission 2 starts
//               | +--------  if set, then we are on thargoid mission
//               |               gets set when we reach a certain planet in gal 2
//               +----------  set when we buy a trumble (from C64 version)
#define   MISSION_1_START  1
#define   MISSION_1_DONE   2
#define   MISSION_2_START  4
#define   MISSION_2_DONE   8
#define   MISSION_3_DONE   16

int have_mission_description(void) ;
void check_mission(); 

#endif
