# create gcc object from raw binary file
%.$(RODATASUFF): %.raw
	@echo $(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)
	@$(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)

# create gcc object from palette file
%.pal.$(RODATASUFF): %.pal
	@echo $(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)
	@$(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)

# create gcc object from map file
%.map.$(RODATASUFF): %.map
	@echo $(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)
	@$(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)

# create raw binary file from pcx
$(PALETTENAME) : $(CURRENTIMGS)
	$(GFX2GBA) $(GFX2GBAFLAGS) -G -D -p$(PALETTENAME)  $(CURRENTIMGS)

%.map : %.pcx
	$(GFX2GBA) $(GFX2GBAFLAGS) -G -P  $(CURRENTIMGS)

%.raw  : %.pcx
	$(GFX2GBA) $(GFX2GBAFLAGS) -P -D  $(CURRENTIMGS)

$(LIBNAME) : $(CURRENTOFILES)
	@echo Making $@
	@$(AR) rcs $@ $(CURRENTOFILES)
