#ifndef flying_h_seen
#define flying_h_seen

#include "motion.h"
#define FRONT_VIEW     0
#define REAR_VIEW      1
#define LEFT_VIEW      2
#define RIGHT_VIEW     3

#define IFF_FLIGHT_MESSAGE(shipid)  ((shipid)|0x100)
#define RENT_A_DOCK_PRICE 250

extern int g_galactic_hyper_preliminary;
void check_message(void);
void flight_message(int);
void draw_lasers(int calc);
void fire_laser(void);

void oops(int amount, stellarobject_t * who);
void damage_player(int amount, stellarobject_t * who);
void inflight_panel_incrsel(void);
void activate_inflight_selection(void);
void activate_ecm(void);
void inflight_panel_decrsel(void);

// get which panels we should show...
void get_active_panels(int * panel_list);


// update status panels
void update_altitude(int);
void update_dials(void);
#endif
