
#ifndef gfxsata_h_seen
#define gfxsata_h_seen


#define scanner_image _binary_scanner_raw_start
#define scanner_image_end _binary_scanner_raw_end
#define palette0 _binary_palette0_pal_start
#define scanner_map _binary_scanner_map_start
#define scanner_map_end _binary_scanner_map_end

extern const u16 scanner_map[];
extern const u16 scanner_map_end[];
extern const u8 scanner_image[];
extern const u8 scanner_image_end[];
extern const u16 palette0[];

#define inflight_image _binary_inflight_raw_start
#define inflight_image_end _binary_inflight_raw_end
#define palette2 _binary_palette2_pal_start
#define inflight_map _binary_inflight_map_start
#define inflight_map_end _binary_inflight_map_end

extern const u16 inflight_map[];
extern const u16 inflight_map_end[];
extern const u8 inflight_image[];
extern const u8 inflight_image_end[];
extern const u16 palette2[];

#define SST_image _binary_SST_raw_start
#define SST_image_end _binary_SST_raw_end
#define ECM_image _binary_ECM_raw_start
#define ECM_image_end _binary_ECM_raw_end

extern const u8 SST_image[];
extern const u8 SST_image_end[];
extern const u8 ECM_image[];
extern const u8 ECM_image_end[];

#define docked_image _binary_docked_raw_start
#define docked_image_end _binary_docked_raw_end
#define palette1 _binary_palette1_pal_start
#define docked_map _binary_docked_map_start
#define docked_map_end _binary_docked_map_end

extern const u16 docked_map[];
extern const u16 docked_map_end[];
extern const u8 docked_image[];
extern const u8 docked_image_end[];
extern const u16 palette1[];

#define missile_image _binary_missile_raw_start
#define missile_image_end _binary_missile_raw_end
#define missile_palette _binary_palette3_pal_start
#define missile_armed_palette _binary_palette4_pal_start
#define missile_targetted_palette _binary_palette5_pal_start

extern const u8 missile_image[];
extern const u8 missile_image_end[];
extern const u16 missile_palette[];
extern const u16 missile_armed_palette[];
extern const u16 missile_targetted_palette[];

#define crosshair_image _binary_crosshair_raw_start
#define crosshair_image_end _binary_crosshair_raw_end

extern const u8 crosshair_image[];
extern const u8 crosshair_image_end[];


#define trumble_image _binary_trumble_raw_start
#define trumble_image_map _binary_trumble_map_start
#define trumble_image_end _binary_trumble_raw_end
extern const u8 trumble_image[];
extern const u8 trumble_image_end[];
extern const u16 trumble_image_map[];

#define laser_hit_image _binary_xpl_raw_start
#define laser_hit_image_end _binary_xpl_raw_end
extern const u8 laser_hit_image[];
extern const u8 laser_hit_image_end[];
#endif
