
#ifndef input_h_seen
#define input_h_seen

// use virtual keys, which will be "pressed"
// by various d-pad/button combos, then indexed
// into the vk array
#define EVK_RIGHT       0
#define EVK_LEFT        1 
#define EVK_UP          2
#define EVK_DOWN        3
#define EVK_ACCEL       4  
#define EVK_MENU_L      5
#define EVK_MENU_R      6
#define EVK_MENU_A      7
#define EVK_MENU_B      8
#define EVK_MENU_START  4

#define EVK_L           9
#define EVK_R           10
#define EVK_A           11
#define EVK_B           12

#define EVK_COUNT       13

extern signed char g_virtual_keys[EVK_COUNT];

extern int player_alpha;
extern int player_beta;
extern int player_delta;
void user_flight_controls(void);
void update_motion(void);
void user_menu_controls(int repeat);
void user_general_controls(int repeat); 

// bits 0x1 and 0x2 are used
void dampen_controls(int damp);
void common_inflight_panel_controls(void);
void wait_letgo_A(); 
void zero_controls();
void disable_AB(int count);
#endif
