#ifndef market_h_seen
#define market_h_seen

#define SHOW_STATION_CARGO 1
#define SLAVES 3
#define NARCS 6
#define FIREARMS 10
#define TONNE_ITEMS 13
#define ALIEN_ITEMS 16

#define FOOD_STRING  0xd0
#define PLAYER_CASH_STRING  0x77

int get_total_cargo(void);
void update_cash(void);
void show_market_prices(void);
void show_special_cargo(void);
void show_stock(int index, int station);
void calculate_market(void);

// return how illegal our cargo makes us
int illegal_cargo_value(void);
void deliver_special_cargo(void);
#endif

