#ifndef navigation_h_seen
#define navigation_h_seen

typedef struct {
  unsigned char s0;
  unsigned char s1;
  unsigned char s2;
  unsigned char s3;
  unsigned char s4;
  unsigned char s5;
} seed_t;

typedef struct {
  unsigned char x;
  unsigned char y;
} galcoord_t;

typedef struct {
  unsigned char economy;   // 03B8
  unsigned char gov;       // 03B9
  unsigned char tech;      // 03BA
  unsigned char population;// 03BB
  unsigned short gross; // 03BD 03BE
  unsigned short distance; // 03BF 03C0
} planetinfo_t;

extern int g_planet_back;
extern int g_hyperspace_counter;

// when showing a planet name, this is the last planet found
extern int g_last_found;
// current (i.e. home) planet information
extern planetinfo_t cpl_info;
extern planetinfo_t hyp_info;

void christen_planet(seed_t seed);
void get_planet_at(int x, int y, seed_t * found_seed);

void hyp1(int first);
void churn_seed(seed_t * );
void show_current_planet(void);
int hyperspace_valid(void);
void  check_hyperspace(void);
void start_hyperspace(void);
void start_galactic_hyperspace();
void approach_planet(void);
void do_hyperspace(void);
#endif
