#include "gbahandler.h"
#include "eliteloop.h"
#include "title.h"
#include "keypad.h"
#include "intro2.h"

#ifdef ENABLE_PROFILING
#include "vba.h"
#endif

int main(void)
{
#ifdef ENABLE_PROFILING
  monstartup(0x0800045c, 0x080155a8);
#endif
  initialise_gba();
  while (1) {
    // intro sequence
    start();
    // everything else..
    main_loop();

#ifdef ENABLE_PROFILING
    moncleanup();
#endif
  }
  return 0;
}
